@if (!(asyncRequestRunning$ | async)) {
  @if (linkedHighLevelRequirement) {
    <div class="flex-row full-width container">
      <a
        [sqtmCorePlatformLink]="getLinkHref()"
        [attr.data-test-field-id]="'high-level-requirement-name'"
        nz-tooltip
        [nzTooltipTitle]="linkedHighLevelRequirement.path"
        >{{ getLinkText() }}</a
      >
      @if (canLink && !isChild) {
        <div class="action-buttons-wrapper">
          <i
            class="m-l-10 table-icon-size current-workspace-button"
            nz-icon
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            (click)="openHighLevelRequirementSelector()"
            [attr.data-test-button-id]="'change-high-level-requirement'"
          ></i>
          <i
            class="m-l-5 table-icon-size current-workspace-button"
            nz-icon
            nzType="sqtm-core-generic:unlink"
            nzTheme="outline"
            (click)="unlink()"
            [attr.data-test-button-id]="'unlink-high-level-requirement'"
          ></i>
        </div>
      }
    </div>
  } @else {
    <div class="full-width">
      @if (!canLink || isChild) {
        <span>-</span>
      }
      @if (canLink && !isChild) {
        <i
          class="table-icon-size current-workspace-button"
          nz-icon
          nzType="plus-circle"
          nzTheme="outline"
          style="vertical-align: sub"
          (click)="openHighLevelRequirementSelector()"
          [attr.data-test-button-id]="'bind-high-level-requirement'"
        ></i>
      }
    </div>
  }
} @else {
  <div class="full-width">
    <i
      class="table-icon-size current-workspace-button"
      nz-icon
      nzType="loading"
      nzTheme="outline"
      style="vertical-align: sub"
    ></i>
  </div>
}
